## golang-opentelemetry-proto 0.19.0

=== Makefile ===
#   -*- mode: makefile; -*-
# Copyright The OpenTelemetry Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This Makefile has rules to generate go code for otlp exporter. It does it by
# copying the proto files from `opentelemetry-proto` (which is a submodule that
# needs to be checked out) into `gen/proto`, changing the go_package option to
# a valid string, generating the go files and finally copying the files into
# the module. The files are not generated in place, because protoc generates a
# too-deep directory structure.
#
# Currently, all the generated code is place in the base directory.
#
# Prereqs: docker, rsync (for copying back the generated files).

PROTOC_VERSION := 3.14.0

TOOLS_MOD_DIR                   := ./internal/tools
PROTOBUF_VERSION                := v1
OTEL_PROTO_SUBMODULE            := opentelemetry-proto
GEN_TEMP_DIR                    := gen
SUBMODULE_PROTO_FILES           := $(wildcard $(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/*/$(PROTOBUF_VERSION)/*.proto) $(wildcard $(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/*/$(PROTOBUF_VERSION)/*.proto)

ifeq ($(strip $(SUBMODULE_PROTO_FILES)),)
$(error Submodule at $(OTEL_PROTO_SUBMODULE) is not checked out, use "git submodule update --init")
endif

GO                 := go
PROTOBUF_GEN_DIR   := opentelemetry-proto-gen
PROTOBUF_TEMP_DIR  := $(GEN_TEMP_DIR)/go
PROTO_SOURCE_DIR   := $(GEN_TEMP_DIR)/proto
SOURCE_PROTO_FILES := $(subst $(OTEL_PROTO_SUBMODULE),$(PROTO_SOURCE_DIR),$(SUBMODULE_PROTO_FILES))
GO_MOD_ROOT		   := go.opentelemetry.io/proto
OTLP_OUTPUT_DIR    := otlp
GO_VERSION         := 1.14
# TODO: Remove this when support for Go <1.17 is dropped. Versions > v2.7.0 of
# github.com/grpc-ecosystem/grpc-gateway/v2 require Go 1.17.
OTLP_REQUIRE       := github.com/grpc-ecosystem/grpc-gateway/v2@v2.7.0

# Function to execute a command. Note the empty line before endef to make sure each command
# gets executed separately instead of concatenated with previous one.
# Accepts command to execute as first parameter.
define exec-command
$(1)

endef

OTEL_DOCKER_PROTOBUF ?= otel/build-protobuf:0.11.0
PROTOC := docker run --rm -u ${shell id -u} -v${PWD}:${PWD} -w${PWD} ${OTEL_DOCKER_PROTOBUF} --proto_path="$(PROTO_SOURCE_DIR)"

.DEFAULT_GOAL := protobuf

# Tools

TOOLS = $(CURDIR)/.tools

$(TOOLS):
	@mkdir -p $@
$(TOOLS)/%: | $(TOOLS)
	cd $(TOOLS_MOD_DIR) && \
	$(GO) build -o $@ $(PACKAGE)

MULTIMOD = $(TOOLS)/multimod
$(TOOLS)/multimod: PACKAGE=go.opentelemetry.io/build-tools/multimod

DBOTCONF = $(TOOLS)/dbotconf
$(TOOLS)/dbotconf: PACKAGE=go.opentelemetry.io/build-tools/dbotconf

.PHONY: tools
tools: $(DBOTCONF) $(MULTIMOD)

.PHONY: protobuf
protobuf: protobuf-source gen-otlp-protobuf copy-otlp-protobuf

.PHONY: protobuf-source
protobuf-source: $(SOURCE_PROTO_FILES)

# The sed expression for replacing the go_package option in proto
# file with a one that's valid for us.
SED_EXPR := 's,go_package = "github.com/open-telemetry/opentelemetry-proto/gen/go/,go_package = "$(GO_MOD_ROOT)/$(OTLP_OUTPUT_DIR)/,'

# This copies proto files from submodule into $(PROTO_SOURCE_DIR),
# thus satisfying the $(SOURCE_PROTO_FILES) prerequisite. The copies
# have their package name replaced by go.opentelemetry.io/proto.
$(PROTO_SOURCE_DIR)/%.proto: $(OTEL_PROTO_SUBMODULE)/%.proto
	@ \
	mkdir -p $(@D); \
	sed -e $(SED_EXPR) "$<" >"$@.tmp"; \
	mv "$@.tmp" "$@"

.PHONY: gen-otlp-protobuf
gen-otlp-protobuf: $(SOURCE_PROTO_FILES)
	rm -rf ./$(PROTOBUF_TEMP_DIR)
	mkdir -p ./$(PROTOBUF_TEMP_DIR)
	$(foreach file,$(SOURCE_PROTO_FILES),$(call exec-command,$(PROTOC) $(PROTO_INCLUDES) --go_out=./$(PROTOBUF_TEMP_DIR) $(file)))
	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/trace/v1/trace_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/trace/v1/trace_service.proto
	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/metrics/v1/metrics_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/metrics/v1/metrics_service.proto
	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/logs/v1/logs_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/logs/v1/logs_service.proto


.PHONY: copy-otlp-protobuf
copy-otlp-protobuf:
	rm -rf ./$(OTLP_OUTPUT_DIR)
	mkdir -p ./$(OTLP_OUTPUT_DIR)
	@rsync -a $(PROTOBUF_TEMP_DIR)/go.opentelemetry.io/proto/otlp/ ./$(OTLP_OUTPUT_DIR)
	cd ./$(OTLP_OUTPUT_DIR) \
		&& go mod init $(GO_MOD_ROOT)/$(OTLP_OUTPUT_DIR) \
		&& go mod edit -go=$(GO_VERSION) -require=$(OTLP_REQUIRE) \
		&& go mod tidy

.PHONY: clean
clean:
	rm -rf $(GEN_TEMP_DIR) $(OTLP_OUTPUT_DIR)

.PHONY: check-clean-work-tree
check-clean-work-tree:
	@if ! git diff --quiet; then \
	  echo; \
	  echo 'Working tree is not clean, did you forget to run "make protobuf"?'; \
	  echo; \
	  git status; \
	  exit 1; \
	fi

DEPENDABOT_CONFIG = .github/dependabot.yml
.PHONY: dependabot-check
dependabot-check: | $(DBOTCONF)
	@$(DBOTCONF) verify $(DEPENDABOT_CONFIG) || printf "\n(run: make dependabot-generate)\n"

.PHONY: dependabot-generate
dependabot-generate: | $(DBOTCONF)
	@$(DBOTCONF) generate > $(DEPENDABOT_CONFIG)

# Releasing

.PHONY: submodule-version
submodule-version:
	@[ "$(VERSION)" ] || ( echo "VERSION unset: set to target opentelemetry-proto release tag"; exit 1 )
	@echo "upgrading opentelemetry-proto submodule to $(VERSION)"
	@cd opentelemetry-proto \
		&& git fetch \
		&& git checkout $(VERSION) \
		&& cd .. \
		&& git config -f .gitmodules submodule.opentelemetry-proto.branch $(VERSION)

.PHONY: sync
sync: submodule-version clean protobuf

.PHONY: verify-versions
verify-versions: | $(MULTIMOD)
	$(MULTIMOD) verify

COMMIT ?= "HEAD"
.PHONY: add-tags
add-tags: | $(MULTIMOD)
	@[ "${MODSET}" ] || ( echo "MODSET unset: set to taget module set from versions.yaml"; exit 1 )
	$(MULTIMOD) verify && $(MULTIMOD) tag -m ${MODSET} -c ${COMMIT}

=== debian/changelog ===
golang-opentelemetry-proto (0.19.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #1022829).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 11:36:15 +0200

=== debian/control ===
Source: golang-opentelemetry-proto
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Shengjing Zhu <zhsj@debian.org>,
Testsuite: autopkgtest-pkg-go
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-grpc-ecosystem-grpc-gateway.v2-dev,
 golang-google-grpc-dev (>= 1.38.0),
 golang-google-protobuf-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-proto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-proto.git
Homepage: https://github.com/open-telemetry/opentelemetry-proto-go
Rules-Requires-Root: no
XS-Go-Import-Path: go.opentelemetry.io/proto

Package: golang-opentelemetry-proto-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-grpc-ecosystem-grpc-gateway.v2-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: OpenTelemetry Go API and SDK - proto
 OpenTelemetry-Go is the Go implementation of OpenTelemetry. It provides a set
 of APIs to directly measure performance and behavior of your software and send
 this data to observability platforms.
 .
 This package contains the proto module.

## golang-opentelemetry-proto 1.3.1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 PROTOC_VERSION := 3.14.0
 
 TOOLS_MOD_DIR                   := ./internal/tools
-PROTOBUF_VERSION                := v1
+PROTOBUF_VERSION                := v1*
 OTEL_PROTO_SUBMODULE            := opentelemetry-proto
 GEN_TEMP_DIR                    := gen
 SUBMODULE_PROTO_FILES           := $(wildcard $(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/*/$(PROTOBUF_VERSION)/*.proto) $(wildcard $(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/*/$(PROTOBUF_VERSION)/*.proto)
@@ -36,17 +36,19 @@
 $(error Submodule at $(OTEL_PROTO_SUBMODULE) is not checked out, use "git submodule update --init")
 endif
 
-GO                 := go
-PROTOBUF_GEN_DIR   := opentelemetry-proto-gen
-PROTOBUF_TEMP_DIR  := $(GEN_TEMP_DIR)/go
+GO                := go
+GO_VERSION        := 1.17
+GO_MOD_ROOT       := go.opentelemetry.io/proto
+PROTOBUF_GEN_DIR  := opentelemetry-proto-gen
+PROTOBUF_TEMP_DIR := $(GEN_TEMP_DIR)/go
+
 PROTO_SOURCE_DIR   := $(GEN_TEMP_DIR)/proto
 SOURCE_PROTO_FILES := $(subst $(OTEL_PROTO_SUBMODULE),$(PROTO_SOURCE_DIR),$(SUBMODULE_PROTO_FILES))
-GO_MOD_ROOT		   := go.opentelemetry.io/proto
 OTLP_OUTPUT_DIR    := otlp
-GO_VERSION         := 1.14
-# TODO: Remove this when support for Go <1.17 is dropped. Versions > v2.7.0 of
-# github.com/grpc-ecosystem/grpc-gateway/v2 require Go 1.17.
-OTLP_REQUIRE       := github.com/grpc-ecosystem/grpc-gateway/v2@v2.7.0
+
+PROTOSLIM_SOURCE_DIR   := $(GEN_TEMP_DIR)/slim/proto
+SOURCE_PROTOSLIM_FILES := $(subst $(OTEL_PROTO_SUBMODULE),$(PROTOSLIM_SOURCE_DIR),$(SUBMODULE_PROTO_FILES))
+OTLPSLIM_OUTPUT_DIR    := slim/otlp
 
 # Function to execute a command. Note the empty line before endef to make sure each command
 # gets executed separately instead of concatenated with previous one.
@@ -56,8 +58,9 @@
 
 endef
 
-OTEL_DOCKER_PROTOBUF ?= otel/build-protobuf:0.11.0
+OTEL_DOCKER_PROTOBUF ?= otel/build-protobuf:0.23.0
 PROTOC := docker run --rm -u ${shell id -u} -v${PWD}:${PWD} -w${PWD} ${OTEL_DOCKER_PROTOBUF} --proto_path="$(PROTO_SOURCE_DIR)"
+PROTOC_SLIM := docker run --rm -u ${shell id -u} -v${PWD}:${PWD} -w${PWD} ${OTEL_DOCKER_PROTOBUF} --proto_path="$(PROTOSLIM_SOURCE_DIR)"
 
 .DEFAULT_GOAL := protobuf
 
@@ -81,7 +84,7 @@
 tools: $(DBOTCONF) $(MULTIMOD)
 
 .PHONY: protobuf
-protobuf: protobuf-source gen-otlp-protobuf copy-otlp-protobuf
+protobuf: protobuf-source gen-otlp-protobuf copy-otlp-protobuf gen-otlp-protobuf-slim copy-otlp-protobuf-slim
 
 .PHONY: protobuf-source
 protobuf-source: $(SOURCE_PROTO_FILES)
@@ -99,6 +102,19 @@
 	sed -e $(SED_EXPR) "$<" >"$@.tmp"; \
 	mv "$@.tmp" "$@"
 
+# The sed expression for replacing the go_package option in proto
+# file with a one that's valid for us.
+SED_EXPR_SLIM := 's,go_package = "go.opentelemetry.io/proto/otlp/,go_package = "$(GO_MOD_ROOT)/$(OTLPSLIM_OUTPUT_DIR)/,'
+
+# This copies proto files from submodule into $(PROTO_SOURCE_DIR),
+# thus satisfying the $(SOURCE_PROTOSLIM_FILES) prerequisite. The copies
+# have their package name replaced by go.opentelemetry.io/proto.
+$(PROTOSLIM_SOURCE_DIR)/%.proto: $(OTEL_PROTO_SUBMODULE)/%.proto
+	@ \
+	mkdir -p $(@D); \
+	sed -e $(SED_EXPR_SLIM) "$<" >"$@.tmp"; \
+	mv "$@.tmp" "$@"
+
 .PHONY: gen-otlp-protobuf
 gen-otlp-protobuf: $(SOURCE_PROTO_FILES)
 	rm -rf ./$(PROTOBUF_TEMP_DIR)
@@ -107,21 +123,30 @@
 	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/trace/v1/trace_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/trace/v1/trace_service.proto
 	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/metrics/v1/metrics_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/metrics/v1/metrics_service.proto
 	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/logs/v1/logs_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/logs/v1/logs_service.proto
+	$(PROTOC) --grpc-gateway_out=logtostderr=true,grpc_api_configuration=$(OTEL_PROTO_SUBMODULE)/opentelemetry/proto/collector/profiles/v1experimental/profiles_service_http.yaml:./$(PROTOBUF_TEMP_DIR) --go_out=./$(PROTOBUF_TEMP_DIR) --go-grpc_out=./$(PROTOBUF_TEMP_DIR) $(PROTO_SOURCE_DIR)/opentelemetry/proto/collector/profiles/v1experimental/profiles_service.proto
 
 
 .PHONY: copy-otlp-protobuf
 copy-otlp-protobuf:
-	rm -rf ./$(OTLP_OUTPUT_DIR)
-	mkdir -p ./$(OTLP_OUTPUT_DIR)
+	rm -rf ./$(OTLP_OUTPUT_DIR)/*/
 	@rsync -a $(PROTOBUF_TEMP_DIR)/go.opentelemetry.io/proto/otlp/ ./$(OTLP_OUTPUT_DIR)
-	cd ./$(OTLP_OUTPUT_DIR) \
-		&& go mod init $(GO_MOD_ROOT)/$(OTLP_OUTPUT_DIR) \
-		&& go mod edit -go=$(GO_VERSION) -require=$(OTLP_REQUIRE) \
-		&& go mod tidy
+	cd ./$(OTLP_OUTPUT_DIR)	&& go mod tidy
+	
+.PHONY: gen-otlp-protobuf-slim
+gen-otlp-protobuf-slim: $(SOURCE_PROTOSLIM_FILES)
+	rm -rf ./$(PROTOBUF_TEMP_DIR)
+	mkdir -p ./$(PROTOBUF_TEMP_DIR)
+	$(foreach file,$(SOURCE_PROTOSLIM_FILES),$(call exec-command,$(PROTOC_SLIM) $(PROTO_INCLUDES) --go_out=./$(PROTOBUF_TEMP_DIR) $(file)))
+
+.PHONY: copy-otlp-protobuf-slim
+copy-otlp-protobuf-slim:
+	rm -rf $(OTLPSLIM_OUTPUT_DIR)/*/
+	@rsync -a $(PROTOBUF_TEMP_DIR)/go.opentelemetry.io/proto/slim/otlp/ ./$(OTLPSLIM_OUTPUT_DIR)
+	cd ./$(OTLPSLIM_OUTPUT_DIR)	&& go mod tidy
 
 .PHONY: clean
 clean:
-	rm -rf $(GEN_TEMP_DIR) $(OTLP_OUTPUT_DIR)
+	rm -rf $(GEN_TEMP_DIR) $(OTLP_OUTPUT_DIR)/*/ $(OTLPSLIM_OUTPUT_DIR)/*/
 
 .PHONY: check-clean-work-tree
 check-clean-work-tree:
@@ -162,7 +187,11 @@
 	$(MULTIMOD) verify
 
 COMMIT ?= "HEAD"
-.PHONY: add-tags
-add-tags: | $(MULTIMOD)
-	@[ "${MODSET}" ] || ( echo "MODSET unset: set to taget module set from versions.yaml"; exit 1 )
-	$(MULTIMOD) verify && $(MULTIMOD) tag -m ${MODSET} -c ${COMMIT}
+REMOTE ?= upstream
+.PHONY: push-tags
+push-tags: | $(MULTIMOD)
+	$(MULTIMOD) verify
+	set -e; for tag in `$(MULTIMOD) tag -m all -c ${COMMIT} --print-tags | grep -v "Using" `; do \
+		echo "pushing tag $${tag}"; \
+		git push ${REMOTE} $${tag}; \
+	done;

=== debian/changelog ===
golang-opentelemetry-proto (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:14:13 -0400

golang-opentelemetry-proto (1.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release: 1.3.1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Oct 2024 11:49:50 -0400

golang-opentelemetry-proto (0.19.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.0 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 25 Jul 2024 08:42:54 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
- golang-github-grpc-ecosystem-grpc-gateway.v2-dev,
- golang-google-grpc-dev (>= 1.38.0),
+ golang-github-grpc-ecosystem-grpc-gateway-dev (>= 2.20.0),
+ golang-google-grpc-dev (>= 1.64.0),
  golang-google-protobuf-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-opentelemetry-proto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-opentelemetry-proto.git
 Homepage: https://github.com/open-telemetry/opentelemetry-proto-go
@@ -24,8 +24,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- golang-github-grpc-ecosystem-grpc-gateway.v2-dev,
- golang-google-grpc-dev,
+ golang-github-grpc-ecosystem-grpc-gateway-dev (>= 2.20.0),
+ golang-google-grpc-dev (>= 1.64.0),
  golang-google-protobuf-dev,
  ${misc:Depends},
 Description: OpenTelemetry Go API and SDK - proto

=== debian/rules ===
#!/usr/bin/make -f

# remove some packages which are not needed by other packages currently
# to cut down dependencies.
export DH_GOLANG_EXCLUDES := \
	example/ \
	internal/tools \
	bridge/opencensus \
	bridge/opentracing \
	exporters/jaeger/internal/gen-go/agent/agent-remote \
	exporters/jaeger/internal/gen-go/jaeger/collector-remote \
	exporters/jaeger/internal/gen-go/zipkincore/zipkin_collector-remote \
	exporters/prometheus exporters/zipkin

export DH_GOLANG_INSTALL_EXTRA := \
	exporters/jaeger/internal/third_party/thrift/NOTICE

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/open-telemetry/opentelemetry-proto-go/tags .*/v?(\d\S*)\.tar\.gz debian
